Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_mem_audit.h File Reference

This file contains the definition and partial implementation of MM_Audit class. More...

`#include "oscl_lock_base.h"`
`#include "oscl_base_alloc.h"`
`#include "oscl_tagtree.h"`
`#include "oscl_mem.h"`
`#include "oscl_mem_auto_ptr.h"`
`#include "osclconfig_compiler_warnings.h"`

Go to the source code of this file.

## Data Structures
struct | MM_AllocInfo
struct | MM_AllocNode
struct | MM_AllocQueryInfo
class | MM_Audit_Imp
struct | MM_AuditOverheadStats
struct | MM_FailInsertParam
struct | MM_Stats_CB
struct | MM_Stats_t
class | OsclMemAudit
class | OsclMemStatsNode
## Defines
#define | OSCL_DISABLE_WARNING_TRUNCATE_DEBUG_MESSAGE
#define | MM_ALLOC_MAX_QUERY_FILENAME_LEN 128
#define | MM_ALLOC_MAX_QUERY_TAG_LEN 64
#define | MM_AUDIT_VALIDATE_BLOCK 1
#define | MM_AUDIT_PREFILL_FLAG 0x1
#define | MM_AUDIT_POSTFILL_FLAG 0x2
#define | MM_AUDIT_VALIDATE_ALL_HEAP_FLAG 0x4
#define | MM_AUDIT_VALIDATE_ON_FREE_FLAG 0x8
#define | MM_AUDIT_ALLOC_NODE_ENABLE_FLAG 0x10
#define | MM_AUDIT_SUPPRESS_FILENAME_FLAG 0x20
#define | DEFAULT_MM_AUDIT_MODE 0
## Typedefs
typedef OSCLMemAutoPtr< char, Oscl_TAlloc< char, OsclMemBasicAllocator > > | MMAuditCharAutoPtr
typedef OSCLMemAutoPtr< uint8, Oscl_TAlloc< uint8, _OsclBasicAllocator > > | MMAuditUint8AutoPtr
typedef OSCLMemAutoPtr< MM_AllocNode, Oscl_TAlloc< MM_AllocNode, OsclMemBasicAllocator > > | MM_AllocNodeAutoPtr
typedef OSCLMemAutoPtr< OsclMemStatsNode, Oscl_TAlloc< OsclMemStatsNode, OsclMemBasicAllocator > > | MM_StatsNodeTagTreeType
typedef OSCLMemAutoPtr< OsclMemStatsNode, Oscl_TAlloc< OsclMemStatsNode, OsclMemBasicAllocator > > | OsclMemStatsNodeAutoPtr
typedef Oscl_TAlloc< MM_StatsNodeTagTreeType, OsclMemBasicAllocator > | TagTree_Allocator
typedef Oscl_TagTree< MM_StatsNodeTagTreeType, TagTree_Allocator > | OsclTagTreeType

## Detailed Description

This file contains the definition and partial implementation of MM_Audit class.

## Define Documentation

#define OSCL_DISABLE_WARNING_TRUNCATE_DEBUG_MESSAGE